<ion-content color="grey-light">
    <div class="account has-background-grey-light">
        <!-- Header -->
        <div
            class="account__profile radius-bl-25 radius-br-25 has-background-primary-light ion-padding-top"
        >
            <!-- User profile -->
            <ion-row class="ion-justify-content-center mt-67">
                <ion-col size="auto">
                    <ion-avatar class="height-114 width-114">
                        <app-img
                            [src]="user.photo"
                            [alt]="user.nom"
                            [title]="user.nom"
                            [errorSrc]="defaultUser"
                        >
                        </app-img>
                    </ion-avatar>
                </ion-col>
            </ion-row>
            <!-- Doctor name & function -->
            <div class="ion-text-center is-white mt-5">
                <ion-text class="weight-500 has-text-secondary">
                    {{ user.nom }} {{user.prenom}}
                </ion-text>
                <div class="account__function mb-5">
                    <ion-text class="is-green size-13">
                        {{user.fonction }}
                    </ion-text>
                </div>
            </div>
            <!-- Doctor rating -->
            <ion-row
                class="ion-justify-content-center ion-align-items-center size-11 mb-6"
            >
                <ion-col size="auto" class="ion-no-padding">
                    <ion-icon name="star" color="warning"></ion-icon>
                </ion-col>
                <ion-col size="auto" class="is-white ion-no-padding weight-600">
                    4.5
                </ion-col>
            </ion-row>
        </div>
        <!-- Notification -->
        <ion-row
            data-test-id="warnings"
            *ngIf="warnings.length>0"
            class="has-background-pink ion-align-items-center ion-margin py-11 px-4"
        >
            <ion-col size="auto">
                <ion-icon
                    class="size-28"
                    name="warning-outline"
                    color="warning"
                ></ion-icon>
            </ion-col>
            <ion-col class="size-10">
                <ion-label color="dove-gray"> {{ warnings[0] }} </ion-label>
            </ion-col>
        </ion-row>
        <!-- Options -->
        <ion-list
            lines="none"
            class="container has-background-grey-light ion-padding-horizontal"
            data-test-id="list-options"
        >
            <ion-item
                *ngFor="let option of options; trackBy: trackBy"
                class="account__option radius-11 mb-25 has-background-white ion-align-items-center"
                [routerLink]="option.link"
            >
                <ion-icon
                    size="medium"
                    [name]="option.icon"
                    color="fern"
                    slot="start"
                    class="mr-17"
                ></ion-icon>
                <ion-label color="dove-gray"> {{ option.text }} </ion-label>
                <ion-icon
                    name="chevron-forward-outline"
                    color="medium"
                    slot="end"
                ></ion-icon>
            </ion-item>
        </ion-list>
    </div>
</ion-content>
<!-- Log out -->
<ion-footer class="ion-no-border has-background-grey-light">
    <!-- Log out Button -->
    <ion-row
        class="ion-align-items-center ion-justify-content-center mb-10 is-primary"
    >
        <ion-col size="6">
            <app-button
                title="Déconnexion"
                fill="clear"
                (onClick)="logout()"
                shape="round"
                class="mb-0"
                expand="full"
                class="account__logout border-solid border-1 has-border-primary radius-30"
            >
            </app-button>
        </ion-col>
    </ion-row>
    <app-tabs activeTab="account"></app-tabs>
</ion-footer>
